Name:           msmtp
Version:        1.4.30
Release:        1
Summary:        SMTP client
Group:          System Environment/Base 
License:        GPLv3+
URL:            http://msmtp.sourceforge.net
Source0:        http://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}-aix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires:  AIX-rpm >= 5.2.0.0
BuildRequires:  patch

BuildRequires:  gettext
BuildRequires:  gnutls-devel >= 2.6.6-2
BuildRequires:  libidn-devel >= 1.24-2

Requires:       AIX-rpm >= 5.2.0.0

Requires:       gettext
Requires:       gnutls >= 2.6.6-2
Requires:       /sbin/install-info, info
Requires:       libidn >= 1.24-2

%description
It forwards messages to an SMTP server which does the delivery.
Features include:
  * Sendmail compatible interface (command line options and exit codes).
  * Authentication methods PLAIN,LOGIN,CRAM-MD5,DIGEST-MD5,GSSAPI,and NTLM
  * TLS/SSL both in SMTP-over-SSL mode and in STARTTLS mode. 
  * Fast SMTP implementation using command pipelining.
  * Support for Internationalized Domain Names (IDN).
  * DSN (Delivery Status Notification) support.
  * RMQS (Remote Message Queue Starting) support (ETRN keyword).
  * IPv6 support.


%prep
%setup -q
export PATH=/opt/freeware/bin:$PATH
%patch0


%build
export CC="xlc_r"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} 

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip --best ${RPM_BUILD_ROOT}%{_infodir}/*.info
rm -f ${RPM_BUILD_ROOT}%{_infodir}/dir

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS COPYING NEWS README THANKS
%doc doc/msmtprc-system.example doc/msmtprc-user.example doc/Mutt+msmtp.txt
%{_bindir}/*
%{_mandir}/man?/*
%{_infodir}/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.4.30-1
- updated to version 1.4.30

* Tue Jan 08 2013 Michael Perzl <michael@perzl.org> - 1.4.29-1
- updated to version 1.4.29

* Wed May 02 2012 Michael Perzl <michael@perzl.org> - 1.4.28-1
- first version for AIX V5.1 and higher
